{
  "name": "libresign/libresign",
  "description": "libresign",
  "type": "project",
  "license": "AGPL",
  "require": {
    "jsignpdf/jsignpdf-php": "dev-make-compatible-with-jsignpdf2.0.0",
    "endroid/qr-code": "^4.2",
    "pagerfanta/pagerfanta": "^3.2",
    "tecnickcom/tc-lib-pdf": "^8.0",
    "iio/libmergepdf": "dev-patch-1"
  },
  "require-dev": {
    "phpunit/phpunit": "^9.5",
    "nextcloud/coding-standard": "^0.4.0",
    "phpspec/prophecy-phpunit": "^2.0",
    "byjg/swagger-test": "dev-latest",
    "symfony/yaml": "^5.2",
    "guzzlehttp/psr7": "^1.8",
    "mikey179/vfsstream": "^1.6",
    "donatj/mock-webserver": "^2.2",
    "vimeo/psalm": "^4.9"
  },
  "scripts": {
    "lint": "find . -name \\*.php -not -path './vendor/*' -not -path './build/*' -print0 | xargs -0 -n1 php -l",
    "cs:check": "php-cs-fixer fix --dry-run --diff",
    "cs:fix": "php-cs-fixer fix"
  },
  "autoload": {
    "psr-4": {
      "OCP\\": "vendor/christophwurst/nextcloud/OCP",
      "OCA\\Libresign\\": "lib/"
    }
  },
  "repositories": [
    {
      "type": "vcs",
      "url": "https://github.com/LibreCodeCoop/php-swagger-test"
    },
    {
      "type": "vcs",
      "url": "https://github.com/LibreCodeCoop/webrequest"
    },
    {
      "type": "vcs",
      "url": "https://github.com/LibreCodeCoop/libmergepdf"
    }
  ]
}
